package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxGame;
import com.iformall.domain.po.WxGameActionLog;

public interface WxGameService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxGame> listAsPage(WxGame record, Integer pageIndex, Integer pageSize);

    /**
     * 获取用户要玩的游戏信息
     * @param record
     * @return
     */
    WxGame getOne(WxGame record);

    /**
     * 获取用户要玩的游戏信息
     * @param record
     * @return
     */
    WxGame getOneGame(WxGame record);

    ResultData addActionLog(Long userId, Long gameId, Long orderId);

    ResultData getCount(Long gameId, Long userId);
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxGame getById(Long id);

        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxGame record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);








}
